# QPainterPathStroker Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QPainterPathStroker()

### Constructor Properties

- prototype: The QPainterPathStroker prototype object

### Prototype Object Properties

- PenCapStyle capStyle()
- QPainterPath createStroke(QPainterPath path)
- qreal curveThreshold()
- qreal dashOffset()
- List dashPattern()
- PenJoinStyle joinStyle()
- qreal miterLimit()
- void setCapStyle(PenCapStyle style)
- void setCurveThreshold(qreal threshold)
- void setDashOffset(qreal offset)
- void setDashPattern(PenStyle arg__1)
- void setJoinStyle(PenJoinStyle style)
- void setMiterLimit(qreal length)
- void setWidth(qreal width)
- qreal width()

### Instance Properties

QPainterPathStroker objects have no special properties beyond those inherited from the QPainterPathStroker prototype object.